package blanco.nlpack.generator.util;

import java.io.BufferedWriter;
import java.io.File;
import java.io.FileWriter;
import java.io.IOException;

public class GenerateSfWikiPage {
    public static final String releaseDate = "20080926";

    public static final String releaseTime = "0600";

    public static final String releaseId = "33040";

    public static final String baseUrl = "http://sourceforge.jp/projects/blancofw/downloads/"
            + releaseId + "/";

    public static void main(String[] args) throws IOException {
        new File("./tmp").mkdirs();

        final BufferedWriter writer = new BufferedWriter(new FileWriter(
                "./tmp/SourceForgeJpWikiPageFragment.txt"));
        writer.write("= Eclipse Ganymede SR1 (3.4.1) 日本語化言語パック (サードパーティ版)");
        writer.newLine();
        writer.write("== Build: I" + releaseDate + releaseTime);
        writer.newLine();
        writer
                .write(" * These downloads are provided under the [http://www.eclipse.org/legal/epl/notice.html Eclipse Foundation Software User Agreement].");
        writer.newLine();
        writer.newLine();
        writer
                .write("||'''Ganymede Language Packs'''||'''Language Pack'''||'''Log'''||");
        writer.newLine();
        writer.write("||Eclipse IDE for Java Developers   ||[" + baseUrl
                + "NLpackja-eclipse-java-ganymede-SR1-blancofw" + releaseDate
                + ".zip NLpackja-eclipse-java-ganymede-SR1-blancofw"
                + releaseDate + ".zip]||[" + baseUrl
                + "NLpackja-eclipse-java-ganymede-SR1-blancofw" + releaseDate
                + "-Result.zip Result.zip] ??.??%||");
        writer.newLine();
        writer.write("||Eclipse IDE for Java EE Developers   ||[" + baseUrl
                + "NLpackja-eclipse-jee-ganymede-SR1-blancofw" + releaseDate
                + ".zip NLpackja-eclipse-jee-ganymede-SR1-blancofw"
                + releaseDate + ".zip]||[" + baseUrl
                + "NLpackja-eclipse-jee-ganymede-SR1-blancofw" + releaseDate
                + "-Result.zip Result.zip] ??.??%||");
        writer.newLine();
        writer.write("||Eclipse IDE for C/C++ Developers   ||[" + baseUrl
                + "NLpackja-eclipse-cpp-ganymede-SR1-blancofw" + releaseDate
                + ".zip NLpackja-eclipse-cpp-ganymede-SR1-blancofw"
                + releaseDate + ".zip]||[" + baseUrl
                + "NLpackja-eclipse-cpp-ganymede-SR1-blancofw" + releaseDate
                + "-Result.zip Result.zip] ??.??%||");
        writer.newLine();
        writer.write("||Eclipse for RCP/Plug-in Developers   ||[" + baseUrl
                + "NLpackja-eclipse-rcp-ganymede-SR1-blancofw" + releaseDate
                + ".zip NLpackja-eclipse-rcp-ganymede-SR1-blancofw"
                + releaseDate + ".zip]||[" + baseUrl
                + "NLpackja-eclipse-rcp-ganymede-SR1-blancofw" + releaseDate
                + "-Result.zip Result.zip] ??.??%||");
        writer.newLine();
        writer
                .write("||Eclipse IDE for Software Architects and Modeling   ||["
                        + baseUrl
                        + "NLpackja-eclipse-modeling-ganymede-SR1-incubation-blancofw"
                        + releaseDate
                        + ".zip NLpackja-eclipse-modeling-ganymede-SR1-incubation-blancofw"
                        + releaseDate
                        + ".zip]||["
                        + baseUrl
                        + "NLpackja-eclipse-modeling-ganymede-SR1-incubation-blancofw"
                        + releaseDate + "-Result.zip Result.zip] ??.??%||");
        writer.newLine();
        writer.write("||Eclipse IDE for Java and Report Developers   ||["
                + baseUrl + "NLpackja-eclipse-reporting-ganymede-SR1-blancofw"
                + releaseDate
                + ".zip NLpackja-eclipse-reporting-ganymede-SR1-blancofw"
                + releaseDate + ".zip]||[" + baseUrl
                + "NLpackja-eclipse-reporting-ganymede-SR1-blancofw"
                + releaseDate + "-Result.zip Result.zip] ??.??%||");
        writer.newLine();
        writer.write("||Eclipse Classic (SDK) 3.4.1   ||[" + baseUrl
                + "NLpackja-eclipse-SDK-3.4.1-blancofw" + releaseDate
                + ".zip NLpackja-eclipse-SDK-3.4.1-blancofw" + releaseDate
                + ".zip]||[" + baseUrl + "NLpackja-eclipse-SDK-3.4.1-blancofw"
                + releaseDate + "-Result.zip Result.zip] ??.??%||");
        writer.newLine();
        writer.newLine();
        writer.write("=== 提供者について");
        writer.newLine();
        writer
                .write(" * これらの日本語化言語パック (サードパーティ版) は [http://sourceforge.jp/projects/blancofw/ blanco Framework]が提供しています。 ");
        writer.newLine();
        writer
                .write(" * [http://www.igapyon.jp/blanco/blanconlpackgenerator.html blancoNLpackGenerator] を利用することにより日本語化言語パックの自動生成を実現しています。");
        writer.newLine();
        writer.write("");
        writer.newLine();
        writer.write("=== 貢献者について");
        writer.newLine();
        writer
                .write(" * [http://sourceforge.jp/projects/blancofw/wiki/nlpack.eclipse Eclipse 日本語化言語パック (サードパーティ版)] の翻訳内容は、MergeDoc - [http://mergedoc.sourceforge.jp/pleiades.html Pleiades]、[http://www.eclipse.org/japanwg/ Eclipse Japan Working Group]、[http://sourceforge.jp/projects/blancofw/ blanco Framework]のコラボレーションにより実現されています。この３者は [https://dev.eclipse.org/mailman/listinfo/babel-translators Eclipse Babel 翻訳者メーリングリスト] において活動しています。");
        writer.newLine();
        writer
                .write(" * 一連の翻訳作業において、[http://mergedoc.sourceforge.jp/pleiades.html Pleiades]の成果が特に大きな割合を占めています。[http://mergedoc.sourceforge.jp/pleiades.html Pleiades]に貢献された方々、そして その中心となって活動されている[http://d.hatena.ne.jp/cypher256/ 柏原真二様] ([http://www.willatosaka.jp/ うぃる])に感謝します。 ");
        writer.newLine();
        writer.write("");
        writer.newLine();
        writer.write("=== フィードバック");
        writer.newLine();
        writer
                .write(" * [http://sourceforge.jp/projects/blancofw/wiki/nlpack.eclipse Eclipse 日本語化言語パック (サードパーティ版)]へのフィードバックは [https://dev.eclipse.org/mailman/listinfo/babel-translators Eclipse Babel 翻訳者メーリングリスト]にお寄せください。");
        writer.newLine();
        writer.write("");
        writer.newLine();
        writer.write("=== リンク");
        writer.newLine();
        writer
                .write(" * [wiki:nlpack.eclipse Eclipse 日本語化言語パック (サードパーティ版) ホーム]");
        writer.newLine();
        writer.close();
    }
}
